# DataExchange
TKSTEP209
StepElement

# StepElement_CurveElementEndReleasePacket Class Reference

Representation of STEP entity CurveElementEndReleasePacket
.

`#include <StepElement_CurveElementEndReleasePacket.hxx>`

## Public Member Functions

Standard_EXPORT | StepElement_CurveElementEndReleasePacket ()
| Empty constructor .
Standard_EXPORT void | Init (const StepElement_CurveElementFreedom &aReleaseFreedom, const Standard_Real aReleaseStiffness)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepElement_CurveElementFreedom | ReleaseFreedom () const
| Returns field ReleaseFreedom .
Standard_EXPORT void | SetReleaseFreedom (const StepElement_CurveElementFreedom &ReleaseFreedom)
| Set field ReleaseFreedom .
Standard_EXPORT Standard_Real | ReleaseStiffness () const
| Returns field ReleaseStiffness .
Standard_EXPORT void | SetReleaseStiffness (const Standard_Real ReleaseStiffness)
| Set field ReleaseStiffness .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepElement_CurveElementFreedom | theReleaseFreedom
Standard_Real | theReleaseStiffness

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_CurveElementEndReleasePacket::StepElement_CurveElementEndReleasePacket | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepElement_CurveElementEndReleasePacket::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_CurveElementEndReleasePacket::Init | ( | const StepElement_CurveElementFreedom & | aReleaseFreedom,
|  | const Standard_Real | aReleaseStiffness
| ) |

Standard_EXPORT StepElement_CurveElementFreedom StepElement_CurveElementEndReleasePacket::ReleaseFreedom | ( |  | ) | const

Standard_EXPORT Standard_Real StepElement_CurveElementEndReleasePacket::ReleaseStiffness | ( |  | ) | const

Standard_EXPORT void StepElement_CurveElementEndReleasePacket::SetReleaseFreedom | ( | const StepElement_CurveElementFreedom & | ReleaseFreedom | ) |

Standard_EXPORT void StepElement_CurveElementEndReleasePacket::SetReleaseStiffness | ( | const Standard_Real | ReleaseStiffness | ) |

## Field Documentation

StepElement_CurveElementFreedom StepElement_CurveElementEndReleasePacket::theReleaseFreedom `[private]`

Standard_Real StepElement_CurveElementEndReleasePacket::theReleaseStiffness `[private]`

The documentation for this class was generated from the following file:

- StepElement_CurveElementEndReleasePacket.hxx